<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Registro"
                widgetVar="EditarActivo"
                modal="true"
                resizable="false"
                closable="true"
                width="600" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            
                            <p:column>
                                <h:outputLabel for="numero" value="No:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numero" value="#{folioMB.activoSeleccionado.folio}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            <p:column>
                                <p:inputText value="#{folioMB.activoSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{folioMB.activoSeleccionado.id}" readonly="true" style="width: 350px" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="norejas" value="No. Rejas: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="norejas" value="#{folioMB.activoSeleccionado.no_rejas}" style="width: 350px" 
                                             required="true" requiredMessage="Es requerido el numero de rejas"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tamano" value="* Tamaño de rejas:" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="tamano"  value="#{folioMB.activoSeleccionado.tipo_rejas}"
                                                filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                   <f:selectItem itemLabel="Selecciona una opción"  />
                                   <f:selectItems value="#{folioMB.tamanos_reja}"
                                   var="registrop"
                                   itemLabel="#{registrop.nombre}"
                                   itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tipoli" value="* Tipo de Limón:" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="tipoli"  value="#{folioMB.activoSeleccionado.tipo_limon}"
                                                filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                   <f:selectItem itemLabel="Selecciona una opción"  />
                                   <f:selectItems value="#{folioMB.tamanos_limon}"
                                   var="registrop"
                                   itemLabel="#{registrop.nombre}"
                                   itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="agronomo" value="* Agronomo: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="agronomo"  value="#{folioMB.activoSeleccionado.id_agronomo}"
                                                filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                requiredMessage="La clave es requerida" style="width: 350px">
                                   <f:selectItem itemLabel="Selecciona una opción"  />
                                   <f:selectItems value="#{folioMB.agronomos}"
                                   var="registrop"
                                   itemLabel="#{registrop.nombre}"
                                   itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="observaciones" value=" Observaciones :" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="observaciones" value="#{folioMB.activoSeleccionado.observaciones}" style="width: 350px"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="dejo" value="Dejo Rejas :" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectBooleanCheckbox value="#{folioMB.activoSeleccionado.isdejo}" label="Basic" />
                            </p:column>
                            <p:column >
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Pasar a Confirmar"
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{folioMB.editarRegitro(
                                                  folioMB.activoSeleccionado,
                                                  folioMB.activoSeleccionado.tipo_rejas,
                                                  folioMB.activoSeleccionado.tipo_limon,
                                                  folioMB.activoSeleccionado.id_agronomo,2)}">
                                    </p:commandButton>
                                </div>
                            </p:column>
                            <p:column>
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Guardar"
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{folioMB.editarRegitro(
                                                  folioMB.activoSeleccionado,
                                                  folioMB.activoSeleccionado.tipo_rejas,
                                                  folioMB.activoSeleccionado.tipo_limon,
                                                  folioMB.activoSeleccionado.id_agronomo,1)}">
                                    </p:commandButton>
                                    <p:spacer width="100" height="10" />
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button"
                                        icon="ui-icon-circle-close"
                                        style="font-size:  100%" 
                                        onclick="PF('EditarActivo').hide();">
                                    </p:commandButton>
                                </div>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
